List Bills - m3ter Documentation

List Bills

cURL

curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/bills \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.m3ter.com/organizations/{orgId}/bills"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/bills', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Response Codes

Response Example

{
  "data": [
    {
      "id": "<string>",
      "version": 123,
      "accountId": "<string>",
      "accountCode": "<string>",
      "startDate": "2023-12-25",
      "endDate": "2023-12-25",
      "startDateTimeUTC": "2023-11-07T05:31:56Z",
      "endDateTimeUTC": "2023-11-07T05:31:56Z",
      "billDate": "2023-12-25",
      "dueDate": "2023-12-25",
      "billFrequencyInterval": 123,
      "timezone": "UTC",
      "currency": "<string>",
      "locked": true,
      "createdDate": "2023-11-07T05:31:56Z",
      "billJobId": "<string>",
      "currencyConversions": [
        {
          "from": "EUR",
          "to": "USD",
          "multiplier": 1.12
        }
      ],
      "lastCalculatedDate": "2023-11-07T05:31:56Z",
      "lineItems": [
        {
          "description": "<string>",
          "quantity": 123,
          "units": 123,
          "unit": "<string>",
          "subtotal": 123,
          "currency": "<string>",
          "conversionRate": 123,
          "convertedSubtotal": 123,
          "averageUnitPrice": 123,
          "id": "<string>",
          "productId": "<string>",
          "productName": "<string>",
          "productCode": "<string>",
          "accountingProductId": "<string>",
          "accountingProductName": "<string>",
          "accountingProductCode": "<string>",
          "aggregationId": "<string>",
          "compoundAggregationId": "<string>",
          "counterId": "<string>",
          "chargeId": "<string>",
          "segment": {},
          "group": {},
          "meterId": "<string>",
          "planId": "<string>",
          "planGroupId": "<string>",
          "commitmentId": "<string>",
          "balanceId": "<string>",
          "creditTypeId": "<string>",
          "pricingId": "<string>",
          "childAccountId": "<string>",
          "childAccountCode": "<string>",
          "usagePerPricingBand": [
            {
              "pricingBandId": "<string>",
              "lowerLimit": 123,
              "fixedPrice": 123,
              "unitSubtotal": 123,
              "unitPrice": 123,
              "bandUnits": 123,
              "bandQuantity": 123,
              "bandSubtotal": 123,
              "creditTypeId": "<string>",
              "convertedBandSubtotal": 123
            }
          ],
          "servicePeriodStartDate": "2023-11-07T05:31:56Z",
          "servicePeriodEndDate": "2023-11-07T05:31:56Z",
          "referencedBillId": "<string>",
          "referencedLineItemId": "<string>",
          "reasonId": "<string>",
          "contractId": "<string>",
          "sequenceNumber": 123,
          "additional": {},
          "grantDrawdowns": [
            {
              "balanceId": "<string>",
              "quantity": 123,
              "units": 123,
              "currencyAmount": 123
            }
          ],
          "balanceDrawdowns": [
            {
              "balanceId": "<string>",
              "units": 123,
              "balanceAmount": 123,
              "lineItemAmount": 123,
              "billAmount": 123
            }
          ],
          "commitmentDrawdowns": [
            {
              "commitmentId": "<string>",
              "units": 123,
              "commitmentAmount": 123,
              "lineItemAmount": 123,
              "billAmount": 123
            }
          ],
          "creditCoverage": [
            {
              "lineItemId": "<string>",
              "units": 123,
              "lineItemAmount": 123,
              "creditAmount": 123,
              "billAmount": 123
            }
          ]
        }
      ],
      "purchaseOrderNumber": "<string>",
      "externalInvoiceReference": "<string>",
      "externalInvoiceDate": "2023-12-25",
      "jsonStatementGenerated": true,
      "csvStatementGenerated": true,
      "statementStale": true,
      "billTotal": 123,
      "totalDebits": 123,
      "totalCredits": 123,
      "sequentialInvoiceNumber": "<string>",
      "dtCreated": "2023-11-07T05:31:56Z",
      "dtLastModified": "2023-11-07T05:31:56Z",
      "createdBy": "<string>",
      "lastModifiedBy": "<string>",
      "dtApproved": "2023-11-07T05:31:56Z",
      "approvedBy": "<string>",
      "dtLocked": "2023-11-07T05:31:56Z",
      "lockedBy": "<string>"
    }
  ],
  "nextToken": "<string>"
}
{
  "message": "<string>"
}
{
  "message": "<string>"
}